YouTube Channel Videos
Fetches a paginated list of videos uploaded by a YouTube channel, including each video's title, URL, thumbnail, view count (views), publish date, duration, and description.
YouTube Channel Videos GET /v1/youtube/channel-videos Fetches a paginated list of videos uploaded by a YouTube channel, including each video's title, URL, thumbnail, view count (views), publish date, duration, and description. Authentication: x-api-key Example URL: https://api.datawake.ai/v1/youtube/channel-videos?channelId=UC-9-kyTW8ZkZNDHQJ6FgpwQ&handle=ThePatMcAfeeShow&sort=latest&continuationToken=4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB&includeExtras=false Parameters: - channelId (query · string · optional) = UC-9-kyTW8ZkZNDHQJ6FgpwQ - handle (query · string · optional) = ThePatMcAfeeShow - sort (query · string · optional) = latest - continuationToken (query · string · optional) = 4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB - includeExtras (query · string · optional) = false
Overview
WakeScrap exposes this YouTube endpoint as a live-data API. The platform keeps the documented request and response shape stable while unifying auth, request tracking, and credits billing.
Fetches a paginated list of videos uploaded by a YouTube channel, including each video's title, URL, thumbnail, view count (views), publish date, duration, and description. Supports sorting by latest or popular, and use the continuationToken to page through all results. Optionally include extras like like count, comment count, and descriptions for each video.
Optional query parameters can be combined in a single request.
Headers
Your Wake API access key.
Example:
Query Parameters
YouTube channel ID
Example:
YouTube channel handle
Example:
Sort by latest or popular
Example:
enum: latest, popular
Continuation token to get more videos. Get 'continuationToken' from previous response.
Example:
This will get you the like + comment count and the description. To get the full details of the video, use the /v1/youtube/video endpoint. This will slow down the response slightly.
Example: